Name:           logback
Version:        1.0.13
Release:        6%{?dist}
Epoch:          0
Summary:        A logging framework implementing SLF4J
License:        EPL 1.0/LGPLv2+
Group:          Development/Java
URL:            http://logback.qos.ch

# git clone -q -n git://github.com/qos-ch/logback.git
# cd logback
# git archive --format=tar.gz --prefix=logback-1.0.13/ v_1.0.13 > logback-1.0.13.tar.gz
Source0:        logback-1.0.13.tar.gz
Source1:        logback-1.0.13-build.xml

Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       slf4j >= 0:1.7.4
Requires:       geronimo-jms
Requires:       groovy
Requires:       janino
Requires:       jansi
Requires:       javamail
Requires:       tomcat-servlet-3.0-api

BuildRequires:  jpackage-utils
BuildRequires:  ant

BuildRequires:  slf4j >= 0:1.7.4
BuildRequires:  janino >= 0:2.6.1
BuildRequires:  javamail >= 0:1.4
BuildRequires:  jansi >= 0:1.9
BuildRequires:  postgresql-jdbc >= 0:8.4.703
BuildRequires:  mysql-connector-java >= 0:5.1.9
BuildRequires:  dom4j >= 0:1.6.1
BuildRequires:  geronimo-jta
BuildRequires:  geronimo-jms
BuildRequires:  tomcat-lib
BuildRequires:  tomcat-servlet-3.0-api
BuildRequires:  groovy
BuildRequires:  jetty-http
BuildRequires:  jetty-server
BuildRequires:  jetty-util
BuildArch:      noarch

%description
Logback is intended as a successor to the popular log4j project, picking up
where log4j leaves off.

Logback's architecture is sufficiently generic so as to apply under different
circumstances. At present time, logback is divided into three modules,
logback-core, logback-classic and logback-access.

The logback-core module lays the groundwork for the other two modules. The
logback-classic module can be assimilated to a significantly improved version
of log4j. Moreover, logback-classic natively implements the SLF4J API so that
you can readily switch back and forth between logback and other logging
frameworks such as log4j or java.util.logging (JUL).

%package javadoc
Summary:        Javadoc for logback
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.

%package access
Summary:        Logback-access module for Servlet integration
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       janino
Requires:       javamail
Requires:       jetty
Requires:       tomcat-lib
Requires:       tomcat-servlet-3.0-api

%description access
The logback-access module integrates with Servlet containers, such as Tomcat
and Jetty, to provide HTTP-access log functionality. Note that you could easily
build your own module on top of logback-core. 

%prep
%setup -q
find -name '*.class' -delete
find -name '*.jar' -delete
find -name '*.cmd' -delete

%build
%{__cp} -p %{SOURCE1} build.xml
%{__mkdir} -p core/lib classic/lib access/lib groovy/lib

build-jar-repository -s -p groovy/lib antlr commons-cli groovy objectweb-asm/asm-all
build-jar-repository -s -p core/lib geronimo-jms janino/janino janino/commons-compiler \
    jansi/jansi javamail/mail slf4j/api.jar tomcat-servlet-3.0-api
build-jar-repository -s -p classic/lib tomcat/catalina
build-jar-repository -s -p access/lib tomcat/catalina jetty/jetty jetty/jetty-http \
    jetty/jetty-server jetty/jetty-util

# build with ant because GMaven is unavailable for RHEL 7.
ant dist javadoc

%install
%{__install} -d -m 755 %{buildroot}%{_mavenpomdir}
%{__install} -d -m 755 %{buildroot}%{_javadir}/%{name}
%{__install} -d -m 755 %{buildroot}%{_javadocdir}/%{name}

%{__install} -p -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-parent.pom

for sub in classic core access; do
  %{__install} -p -m 644 dist/%{name}-$sub-%{version}.jar \
      %{buildroot}%{_javadir}/%{name}/%{name}-$sub.jar
  %{__install} -p -m 644 %{name}-$sub/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-$sub.pom
done

%add_maven_depmap JPP.%{name}-%{name}-parent.pom
%add_maven_depmap JPP.%{name}-%{name}-classic.pom %{name}/%{name}-classic.jar
%add_maven_depmap JPP.%{name}-%{name}-core.pom %{name}/%{name}-core.jar
%add_maven_depmap JPP.%{name}-%{name}-access.pom %{name}/%{name}-access.jar -f access

%{__cp} -r dist/api/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc README.txt LICENSE.txt
%{_javadir}/%{name}/%{name}-classic.jar
%{_javadir}/%{name}/%{name}-core.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-classic.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-core.pom
%{_mavenpomdir}/JPP.%{name}-%{name}-parent.pom
%{_mavendepmapfragdir}/%{name}

%files access
%doc LICENSE.txt
%{_javadir}/%{name}/%{name}-access.jar
%{_mavenpomdir}/JPP.%{name}-%{name}-access.pom
%{_mavendepmapfragdir}/%{name}-access

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}

%changelog
* Thu Apr 10 2014 Alex Wood <awood@redhat.com> 0:1.0.13-6
- Rebuild for RHEL 7.

* Wed Apr 09 2014 David Walluck <dwalluck@redhat.com> 0:1.0.13-5
- lower slf4j.version to 1.7.4 (for RHEL 7)

* Tue Mar 18 2014 David Walluck <dwalluck@redhat.com> 0:1.0.13-4
- insert the tomcat version used to build into pom.xml

* Tue Nov 26 2013 David Walluck <dwalluck@redhat.com> 0:1.0.13-3
- add main package for compat

* Mon Nov 25 2013 David Walluck <dwalluck@redhat.com> 0:1.0.13-2
- reduce pom patch

* Thu May 16 2013 David Walluck <dwalluck@redhat.com> 0:1.0.13-1
- 1.0.13

* Fri Apr 26 2013 David Walluck <dwalluck@redhat.com> 0:1.0.12-1
- 1.0.12

* Wed Apr 10 2013 David Walluck <dwalluck@redhat.com> 0:1.0.11-1
- 1.0.11

* Tue Dec 18 2012 David Walluck <dwalluck@redhat.com> 0:1.0.9-1
- release
